summaryrefslogtreecommitdiffstats
path: root/extras/ganesha/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'extras/ganesha/scripts')
-rwxr-xr-xextras/ganesha/scripts/create-export-ganesha.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/extras/ganesha/scripts/create-export-ganesha.sh b/extras/ganesha/scripts/create-export-ganesha.sh
index de869c4629d..48c0ea5c16c 100755
--- a/extras/ganesha/scripts/create-export-ganesha.sh
+++ b/extras/ganesha/scripts/create-export-ganesha.sh
@@ -53,4 +53,7 @@ echo " }"
}
write_conf $@ > $GANESHA_DIR/exports/export.$VOL.conf
+if ! (cat $CONF | grep $VOL.conf$ )
+then
echo "%include \"$GANESHA_DIR/exports/export.$VOL.conf\"" >> $CONF
+fi